#include <GL/glut.h>
#include "GameObj.h"
#include "Bullet.h"
#include "Ship.h"

/** Ship Constructor.
With respect to the GameObj constructor it 
initialize accelleration, engine flag and number of active bullet.
*/
Ship::Ship()
{
	a=Point3f(0,0,0);
	thrust=false;
	lthrust=false;
	rthrust=false;
	ActiveBullet=0;
}

void Ship::Draw()
{ 
 glPushMatrix();
 glDisable(GL_LIGHTING);
 glTranslate(p);
 glRotatef(angle,0,0,1);
 //glTranslatef(-3,0,0);
 //glRotatef(90,0,1,0);
	glBegin(GL_LINE_LOOP);
	glColor3f(.8,.8,.8);
	glVertex3f(-3,-2,0);
	glVertex3f( 4,0,0);
	glVertex3f(-3,2,0);
	glEnd();
 if(thrust)
 {
	glColor3f(.8,.4,.1);
	glBegin(GL_LINE_STRIP);
	glVertex3f(-2,-1,0);
	glVertex3f(-4,0,0);
	glVertex3f(-2,1,0);
	glEnd();
 }
 glEnable(GL_LIGHTING);
 glPopMatrix();
}
